*COMMENT Intkey initialization file

*COMMENT : This file specifies the Intkey data files and makes settings in
Intkey at the beginning of each session.

*COMMENT : The following directive (command) specifies the folder path which
will be searched for images that illustrate the characters and taxa. The default
is the current folder (the data
folder, i.e. the folder which contains the database). In this example Intkey
will search for the images in the data folder and in a subfolder
called 'images'. If desired the name of this folder could be changed by the
user. It is also possible to cite an URL where the images are located on the
web.

*SET IMAGEPATH images

*COMMENT : The following directive specifies the folder path which will be
searched for files
(e.g. individual taxon descriptions created by running 'tonatsr') available for
display when the
blue Information button in Intkey is selected. The default is the current folder
(the data folder, i.e. the folder which contains the database). In this
example Intkey will search for the description files in the data folder and in a
subfolder
called 'info'. If desired the name of this folder could be changed by the user.
It is also possible to cite an
URL where the files are located on the web.

*SET INFOPATH info

*COMMENT : The following directive should not be changed. This sets the name of
the file containing taxon data in a format required by Intkey, produced
automatically by the 'toint' action set.

*FILE TAXA iitems

*COMMENT : The following directive should not be changed. This sets the name of
the file containing characters data in a format required by Intkey, produced
automatically by the 'toint' action set.

*FILE CHARACTERS ichars

*COMMENT : The user can define their own buttons for the additional toolbar of
Intkey by means of a set of button definitions. This command specifies the name
of the file containing the button definitions and causes it to be read (or
input) into Intkey. Intkey comes with standard inbuilt buttons which are usually
adequate. If the user wants to read in their own toolbar definitions, this
directive needs to be activated by  removing "COMMENT : ", retain the asterisk.

*COMMENT FILE INPUT toolbar.inp

*COMMENT : The following directive needs not to be changed. This default value
normally gives adequate results. Works together with 'CHARACTER RELIABILITES' in
the 'toint' action set.

*SET RBASE 1.2

*COMMENT : The following directive determines whether unknown (uncoded)
characters are displayed in the output of the DESCRIBE command within Intkey.
The advanced user can turn this option on within Intkey in the pulldown menu
'Settings/Display/Unknowns ON/OFF'.

*DISPLAY UNKNOWNS Off

*COMMENT : The following directive determines whether inapplicable characters
are displayed in the output of the DESCRIBE command within Intkey. The advanced
user can turn this option on within Intkey in the pulldown menu
'Settings/Display/Inapplicables ON/OFF'.

*DISPLAY INAPPLICABLES Off

*COMMENT : The following directives DEFINE CHARACTERS are examples of how to
define Character
Keywords, which are group names for sets of related characters. Once defined
these sets enable easy reference to multiple characters in Intkey commands. The
keywords should be enclosed in quotes. The numbers are character numbers (or
ranges). Change text and numbers to suit your own database and remove "COMMENT :
", being sure to retain the asterisk.

*COMMENT : DEFINE CHARACTERS "nomenclature" 1

*COMMENT : DEFINE CHARACTERS "   leaves (form)" 7-11

*COMMENT : DEFINE CHARACTERS "geography" 86

*COMMENT : The following directive is like DEFINE CHARACTERS except it defines
sets of taxa. It is generally preferable to use taxon numbers as in the DEFINE
TAXA directive rather than the alternative format DEFINE NAMES which uses taxon
names, because position changes of taxa in the DELTA Editor are automatically
updated. Change text and numbers to suit your own database and remove "COMMENT :
", being sure to retain the asterisk.

*COMMENT : DEFINE TAXA cultivated 7-8 10 11 14

*COMMENT : The following directive is like DEFINE TAXA except it defines sets of
taxa by means of names instead of numbers. Commas separate names and quotes must
be used for names containing spaces (e.g. "Poa annua", "Zea mays"). Change text
to suit your own database and remove "COMMENT : ", being sure to retain the
asterisk.

*COMMENT : DEFINE NAMES cereals Echinochloa, Eleusine, Oryza, Panicum, Zea

*COMMENT : The following directive is an optional alternative means to produce
full description of the taxa to the method of pregenerating RTF descriptions by
the 'tonatsr' actionset. The text that appears between the first set of quotes
will be listed in the window that is opened when the blue Information button in
Intkey is selected.

*DEFINE INFORMATION "Full description (generated by Intkey)" "describe ?S /c
all"

*COMMENT : The following directive produces the entry 'Diagnostic description'
in the window that is opened when the blue Information button in Intkey is
selected. When chosen, it leads to a diagnostic description being generated by
Intkey. The parameter '?S' means the set of taxa currently selected in Intkey.
The parameter 'none' means that no characters are preset and so the program
produces a diagnostic description by considering all characters.

*DEFINE INFORMATION "Diagnostic description" "diagnose ?S none"
